# class Chef::ShellOut

### Public Class Methods

new(*args) click to toggle source
Calls superclass method

    # File lib/chef/shell_out.rb, line 6
    def initialize(*args)
      Chef::Log.warn("Chef::ShellOut is deprecated, please use Mixlib::ShellOut")
      called_from = caller[0..3].inject("Called from:\n") {|msg, trace_line| msg << "  #{trace_line}\n" }
      Chef::Log.warn(called_from)
      super
    end